<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.MarketMapMapper" >
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.MarketMap" >
                <id column="id" property="id" jdbcType="INTEGER" />
                                        <result column="del_flag" property="delFlag" jdbcType="CHAR" />
                                <result column="update_time" property="updateTime" jdbcType="TIMESTAMP" />
                                <result column="update_user" property="updateUser" jdbcType="VARCHAR" />
                                <result column="create_time" property="createTime" jdbcType="TIMESTAMP" />
                                <result column="create_user" property="createUser" jdbcType="VARCHAR" />
                                <result column="remark" property="remark" jdbcType="VARCHAR" />
                                <result column="map_type" property="mapType" jdbcType="INTEGER" />
                                <result column="map_name" property="mapName" jdbcType="VARCHAR" />
                                <result column="map_sprite" property="mapSprite" jdbcType="VARCHAR" />
                                <result column="anchor_image_group_name" property="anchorImageGroupName" jdbcType="VARCHAR" />
                                <result column="default_mode" property="defaultMode" jdbcType="INTEGER" />
                                <result column="vuforia_data_name" property="vuforiaDataName" jdbcType="VARCHAR" />
                                <result column="map_info" property="mapInfo" jdbcType="VARCHAR" />
                                <result column="map_width" property="mapWidth" jdbcType="INTEGER" />
                                <result column="map_height" property="mapHeight" jdbcType="INTEGER" />
                                <result column="map_rate" property="mapRate" jdbcType="DECIMAL" />
                                <result column="show_in_panel" property="showInPanel" jdbcType="INTEGER" />
                                <result column="latitude" property="latitude" jdbcType="VARCHAR" />
                                <result column="longitude" property="longitude" jdbcType="VARCHAR" />
                                <result column="radiant_range" property="radiantRange" jdbcType="DECIMAL" />
                                <result column="city" property="city" jdbcType="VARCHAR" />
            </resultMap>
    <sql id="Base_Column_List" >
        <trim  suffixOverrides="," >
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            remark,

            map_type,

            map_name,

            map_sprite,

            anchor_image_group_name,

            default_mode,

            vuforia_data_name,

            map_info,

            map_width,

            map_height,

            map_rate,

            show_in_panel,

            latitude,

            longitude,

            radiant_range,

            city,

            </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer" >
        select
        <include refid="Base_Column_List" />
        from market_map
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer" >
        delete from market_map
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.MarketMap" useGeneratedKeys="true" keyProperty="id">
        insert into market_map
        <trim prefix="(" suffix=")" suffixOverrides="," >
                <if test="id!= null" >
                id,
            </if>
                <if test="delFlag!= null" >
                del_flag,
            </if>
                <if test="updateTime!= null" >
                update_time,
            </if>
                <if test="updateUser!= null" >
                update_user,
            </if>
                <if test="createTime!= null" >
                create_time,
            </if>
                <if test="createUser!= null" >
                create_user,
            </if>
                <if test="remark!= null" >
                remark,
            </if>
                <if test="mapType!= null" >
                map_type,
            </if>
                <if test="mapName!= null" >
                map_name,
            </if>
                <if test="mapSprite!= null" >
                map_sprite,
            </if>
                <if test="anchorImageGroupName!= null" >
                anchor_image_group_name,
            </if>
                <if test="defaultMode!= null" >
                default_mode,
            </if>
                <if test="vuforiaDataName!= null" >
                vuforia_data_name,
            </if>
                <if test="mapInfo!= null" >
                map_info,
            </if>
                <if test="mapWidth!= null" >
                map_width,
            </if>
                <if test="mapHeight!= null" >
                map_height,
            </if>
                <if test="mapRate!= null" >
                map_rate,
            </if>
                <if test="showInPanel!= null" >
                show_in_panel,
            </if>
                <if test="latitude!= null" >
                latitude,
            </if>
                <if test="longitude!= null" >
                longitude,
            </if>
                <if test="radiantRange!= null" >
                radiant_range,
            </if>
                <if test="city!= null" >
                city,
            </if>
            </trim>
        <trim prefix="values (" suffix=")" suffixOverrides="," >
                    <if test="id != null" >
                #{id,jdbcType=INTEGER},
            </if>
                    <if test="delFlag != null" >
                #{delFlag,jdbcType=CHAR},
            </if>
                    <if test="updateTime != null" >
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
                    <if test="updateUser != null" >
                #{updateUser,jdbcType=VARCHAR},
            </if>
                    <if test="createTime != null" >
                #{createTime,jdbcType=TIMESTAMP},
            </if>
                    <if test="createUser != null" >
                #{createUser,jdbcType=VARCHAR},
            </if>
                    <if test="remark != null" >
                #{remark,jdbcType=VARCHAR},
            </if>
                    <if test="mapType != null" >
                #{mapType,jdbcType=INTEGER},
            </if>
                    <if test="mapName != null" >
                #{mapName,jdbcType=VARCHAR},
            </if>
                    <if test="mapSprite != null" >
                #{mapSprite,jdbcType=VARCHAR},
            </if>
                    <if test="anchorImageGroupName != null" >
                #{anchorImageGroupName,jdbcType=VARCHAR},
            </if>
                    <if test="defaultMode != null" >
                #{defaultMode,jdbcType=INTEGER},
            </if>
                    <if test="vuforiaDataName != null" >
                #{vuforiaDataName,jdbcType=VARCHAR},
            </if>
                    <if test="mapInfo != null" >
                #{mapInfo,jdbcType=VARCHAR},
            </if>
                    <if test="mapWidth != null" >
                #{mapWidth,jdbcType=INTEGER},
            </if>
                    <if test="mapHeight != null" >
                #{mapHeight,jdbcType=INTEGER},
            </if>
                    <if test="mapRate != null" >
                #{mapRate,jdbcType=DECIMAL},
            </if>
                    <if test="showInPanel != null" >
                #{showInPanel,jdbcType=INTEGER},
            </if>
                    <if test="latitude != null" >
                #{latitude,jdbcType=VARCHAR},
            </if>
                    <if test="longitude != null" >
                #{longitude,jdbcType=VARCHAR},
            </if>
                    <if test="radiantRange != null" >
                #{radiantRange,jdbcType=DECIMAL},
            </if>
                    <if test="city != null" >
                #{city,jdbcType=VARCHAR},
            </if>
                </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.MarketMap" >
        update market_map
        <set >
                    <if test="id != null" >
               id= #{id,jdbcType=INTEGER},
            </if>
                     <if test="delFlag != null" >
               del_flag= #{delFlag,jdbcType=CHAR},
            </if>
                     <if test="updateTime != null" >
               update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
                     <if test="updateUser != null" >
               update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
                     <if test="createTime != null" >
               create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
                     <if test="createUser != null" >
               create_user= #{createUser,jdbcType=VARCHAR},
            </if>
                     <if test="remark != null" >
               remark= #{remark,jdbcType=VARCHAR},
            </if>
                     <if test="mapType != null" >
               map_type= #{mapType,jdbcType=INTEGER},
            </if>
                     <if test="mapName != null" >
               map_name= #{mapName,jdbcType=VARCHAR},
            </if>
                     <if test="mapSprite != null" >
               map_sprite= #{mapSprite,jdbcType=VARCHAR},
            </if>
                     <if test="anchorImageGroupName != null" >
               anchor_image_group_name= #{anchorImageGroupName,jdbcType=VARCHAR},
            </if>
                     <if test="defaultMode != null" >
               default_mode= #{defaultMode,jdbcType=INTEGER},
            </if>
                     <if test="vuforiaDataName != null" >
               vuforia_data_name= #{vuforiaDataName,jdbcType=VARCHAR},
            </if>
                     <if test="mapInfo != null" >
               map_info= #{mapInfo,jdbcType=VARCHAR},
            </if>
                     <if test="mapWidth != null" >
               map_width= #{mapWidth,jdbcType=INTEGER},
            </if>
                     <if test="mapHeight != null" >
               map_height= #{mapHeight,jdbcType=INTEGER},
            </if>
                     <if test="mapRate != null" >
               map_rate= #{mapRate,jdbcType=DECIMAL},
            </if>
                     <if test="showInPanel != null" >
               show_in_panel= #{showInPanel,jdbcType=INTEGER},
            </if>
                     <if test="latitude != null" >
               latitude= #{latitude,jdbcType=VARCHAR},
            </if>
                     <if test="longitude != null" >
               longitude= #{longitude,jdbcType=VARCHAR},
            </if>
                     <if test="radiantRange != null" >
               radiant_range= #{radiantRange,jdbcType=DECIMAL},
            </if>
                     <if test="city != null" >
               city= #{city,jdbcType=VARCHAR},
            </if>
                 </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryMarketMapByPage" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.MarketMap">
        select <include refid="Base_Column_List"/> from market_map
        <where>
            and del_flag = 'N'
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
                    <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and  id = #{record.id}
            </if>
                     <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and  del_flag = #{record.delFlag}
            </if>
                     <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and  update_time = #{record.updateTime}
            </if>
                     <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and  update_user = #{record.updateUser}
            </if>
                     <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and  create_time = #{record.createTime}
            </if>
                     <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and  create_user = #{record.createUser}
            </if>
                     <if test="record.remark != null and !&quot;&quot;.equals(record.remark)">
                and  remark = #{record.remark}
            </if>
                     <if test="record.mapType != null and !&quot;&quot;.equals(record.mapType)">
                and  map_type = #{record.mapType}
            </if>
                     <if test="record.mapName != null and !&quot;&quot;.equals(record.mapName)">
                and  map_name = #{record.mapName}
            </if>
                     <if test="record.mapSprite != null and !&quot;&quot;.equals(record.mapSprite)">
                and  map_sprite = #{record.mapSprite}
            </if>
                     <if test="record.anchorImageGroupName != null and !&quot;&quot;.equals(record.anchorImageGroupName)">
                and  anchor_image_group_name = #{record.anchorImageGroupName}
            </if>
                     <if test="record.defaultMode != null and !&quot;&quot;.equals(record.defaultMode)">
                and  default_mode = #{record.defaultMode}
            </if>
                     <if test="record.vuforiaDataName != null and !&quot;&quot;.equals(record.vuforiaDataName)">
                and  vuforia_data_name = #{record.vuforiaDataName}
            </if>
                     <if test="record.mapInfo != null and !&quot;&quot;.equals(record.mapInfo)">
                and  map_info = #{record.mapInfo}
            </if>
                     <if test="record.mapWidth != null and !&quot;&quot;.equals(record.mapWidth)">
                and  map_width = #{record.mapWidth}
            </if>
                     <if test="record.mapHeight != null and !&quot;&quot;.equals(record.mapHeight)">
                and  map_height = #{record.mapHeight}
            </if>
                     <if test="record.mapRate != null and !&quot;&quot;.equals(record.mapRate)">
                and  map_rate = #{record.mapRate}
            </if>
                     <if test="record.showInPanel != null and !&quot;&quot;.equals(record.showInPanel)">
                and  show_in_panel = #{record.showInPanel}
            </if>
                     <if test="record.latitude != null and !&quot;&quot;.equals(record.latitude)">
                and  latitude = #{record.latitude}
            </if>
                     <if test="record.longitude != null and !&quot;&quot;.equals(record.longitude)">
                and  longitude = #{record.longitude}
            </if>
                     <if test="record.radiantRange != null and !&quot;&quot;.equals(record.radiantRange)">
                and  radiant_range = #{record.radiantRange}
            </if>
                     <if test="record.city != null and !&quot;&quot;.equals(record.city)">
                and  city = #{record.city}
            </if>
                  <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
             <trim prefix="and (" suffix=")" prefixOverrides="OR" >
                                                                                                                                                                                                                                                                                                                                                                                                                                    OR  remark LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  map_type LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  map_name LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  map_sprite LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  anchor_image_group_name LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  default_mode LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  vuforia_data_name LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  map_info LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  map_width LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  map_height LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  map_rate LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  show_in_panel LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  latitude LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  longitude LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  radiant_range LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  city LIKE concat('%',#{record.searchKey},'%')
                                                             </trim>
         </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllMarketMap" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.MarketMap">
        select <include refid="Base_Column_List"/> from market_map
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
                    <if test="id != null and !&quot;&quot;.equals(id)">
                and  id = #{id}
            </if>
                    <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and  del_flag = #{delFlag}
            </if>
                    <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and  update_time = #{updateTime}
            </if>
                    <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and  update_user = #{updateUser}
            </if>
                    <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and  create_time = #{createTime}
            </if>
                    <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and  create_user = #{createUser}
            </if>
                    <if test="remark != null and !&quot;&quot;.equals(remark)">
                and  remark = #{remark}
            </if>
                    <if test="mapType != null and !&quot;&quot;.equals(mapType)">
                and  map_type = #{mapType}
            </if>
                    <if test="mapName != null and !&quot;&quot;.equals(mapName)">
                and  map_name = #{mapName}
            </if>
                    <if test="mapSprite != null and !&quot;&quot;.equals(mapSprite)">
                and  map_sprite = #{mapSprite}
            </if>
                    <if test="anchorImageGroupName != null and !&quot;&quot;.equals(anchorImageGroupName)">
                and  anchor_image_group_name = #{anchorImageGroupName}
            </if>
                    <if test="defaultMode != null and !&quot;&quot;.equals(defaultMode)">
                and  default_mode = #{defaultMode}
            </if>
                    <if test="vuforiaDataName != null and !&quot;&quot;.equals(vuforiaDataName)">
                and  vuforia_data_name = #{vuforiaDataName}
            </if>
                    <if test="mapInfo != null and !&quot;&quot;.equals(mapInfo)">
                and  map_info = #{mapInfo}
            </if>
                    <if test="mapWidth != null and !&quot;&quot;.equals(mapWidth)">
                and  map_width = #{mapWidth}
            </if>
                    <if test="mapHeight != null and !&quot;&quot;.equals(mapHeight)">
                and  map_height = #{mapHeight}
            </if>
                    <if test="mapRate != null and !&quot;&quot;.equals(mapRate)">
                and  map_rate = #{mapRate}
            </if>
                    <if test="showInPanel != null and !&quot;&quot;.equals(showInPanel)">
                and  show_in_panel = #{showInPanel}
            </if>
                    <if test="latitude != null and !&quot;&quot;.equals(latitude)">
                and  latitude = #{latitude}
            </if>
                    <if test="longitude != null and !&quot;&quot;.equals(longitude)">
                and  longitude = #{longitude}
            </if>
                    <if test="radiantRange != null and !&quot;&quot;.equals(radiantRange)">
                and  radiant_range = #{radiantRange}
            </if>
                    <if test="city != null and !&quot;&quot;.equals(city)">
                and  city = #{city}
            </if>
                    <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR" >
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                OR  remark LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  map_type LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  map_name LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  map_sprite LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  anchor_image_group_name LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  default_mode LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  vuforia_data_name LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  map_info LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  map_width LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  map_height LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  map_rate LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  show_in_panel LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  latitude LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  longitude LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  radiant_range LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  city LIKE concat('%',#{searchKey},'%')
                                                                                        </trim>
            </if>
<if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
    <foreach item="item" index="index" collection="advancedQuery.split('_;')">
        <choose>
            <when test="item.indexOf('like') != -1">
                <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                    <if test="detailIndex == 3">
                        concat('%',#{itemDetail},'%')
                    </if>

                    <if test="detailIndex &lt; 3">
                        ${itemDetail}
                    </if>

                </foreach>
            </when>
            <otherwise>
                <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                    <if test="detailIndex == 3">
                        #{itemDetail}
                    </if>

                    <if test="detailIndex &lt; 3">
                        ${itemDetail}
                    </if>

                </foreach>
            </otherwise>
        </choose>


    </foreach>


</if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryMarketMap" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.MarketMap">
        select <include refid="Base_Column_List"/> from market_map
        <where>
            and del_flag = 'N'
                    <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
                     <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
                     <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
                     <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
                     <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
                     <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
                     <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
                     <if test="mapType != null and !&quot;&quot;.equals(mapType)">
                and map_type = #{mapType}
            </if>
                     <if test="mapName != null and !&quot;&quot;.equals(mapName)">
                and map_name = #{mapName}
            </if>
                     <if test="mapSprite != null and !&quot;&quot;.equals(mapSprite)">
                and map_sprite = #{mapSprite}
            </if>
                     <if test="anchorImageGroupName != null and !&quot;&quot;.equals(anchorImageGroupName)">
                and anchor_image_group_name = #{anchorImageGroupName}
            </if>
                     <if test="defaultMode != null and !&quot;&quot;.equals(defaultMode)">
                and default_mode = #{defaultMode}
            </if>
                     <if test="vuforiaDataName != null and !&quot;&quot;.equals(vuforiaDataName)">
                and vuforia_data_name = #{vuforiaDataName}
            </if>
                     <if test="mapInfo != null and !&quot;&quot;.equals(mapInfo)">
                and map_info = #{mapInfo}
            </if>
                     <if test="mapWidth != null and !&quot;&quot;.equals(mapWidth)">
                and map_width = #{mapWidth}
            </if>
                     <if test="mapHeight != null and !&quot;&quot;.equals(mapHeight)">
                and map_height = #{mapHeight}
            </if>
                     <if test="mapRate != null and !&quot;&quot;.equals(mapRate)">
                and map_rate = #{mapRate}
            </if>
                     <if test="showInPanel != null and !&quot;&quot;.equals(showInPanel)">
                and show_in_panel = #{showInPanel}
            </if>
                     <if test="latitude != null and !&quot;&quot;.equals(latitude)">
                and latitude = #{latitude}
            </if>
                     <if test="longitude != null and !&quot;&quot;.equals(longitude)">
                and longitude = #{longitude}
            </if>
                     <if test="radiantRange != null and !&quot;&quot;.equals(radiantRange)">
                and radiant_range = #{radiantRange}
            </if>
                     <if test="city != null and !&quot;&quot;.equals(city)">
                and city = #{city}
            </if>
         
        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE market_map SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.MarketMap">
        select <include refid="Base_Column_List"/> from market_map
        <where>
            and del_flag = 'N'
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </where>
        order by id desc
    </select>
</mapper>

